### Function

# Ide g_file_is_ignored

#### Declaration

    gboolean
    ide_g_file_is_ignored (
      GFile* file
    )

#### Description

Checks if `file` should be ignored using the internal ignore rules. If you care about the version control system, see `IdeVcs` and ide_vcs_is_ignored().

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `file` should be ignored; otherwise `FALSE`.